Bug 141981 - Redraw fails in Windows LO Draw moving shapes with multiple formatting
Summary: Redraw fails in Windows LO Draw moving shapes with multiple formatting
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.2 target:7.3.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-04-29 21:40 UTC by xordevoreaux
Modified: 2022-09-10 07:11 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample windows LO drawing file (10.48 KB, application/vnd.oasis.opendocument.graphics)
2021-04-29 21:42 UTC, xordevoreaux
Details
screenshot showing failure to redraw (29.03 KB, image/png)
2021-04-29 21:42 UTC, xordevoreaux
Details

Note You need to log in before you can comment on or make changes to this bug.
Description xordevoreaux 2021-04-29 21:40:02 UTC
Description:
Glow and other effects applied to a background shape and then moving another shape across it causes redrawing artifacts. It's as if the redraw never occurs any more.

Steps to Reproduce:
1. Open the supplied sample file
2. Move the circle multiple times across the square


Actual Results:
Artifacts appear across the shapes

Expected Results:
Moving the shape should not cause artifacts.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: f616d96bd8ce8986e4cc204953db0467e6060b5c
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 1 xordevoreaux 2021-04-29 21:42:13 UTC
Created attachment 171510 [details]
sample windows LO drawing file
Comment 2 xordevoreaux 2021-04-29 21:42:45 UTC
Created attachment 171511 [details]
screenshot showing failure to redraw
Comment 3 xordevoreaux 2021-04-29 21:46:27 UTC
After reading the daily Jenkins release, it looks like someone went overboard clearing out procedure calls to a redraw function.
Comment 4 Telesto 2021-04-30 17:54:50 UTC
Confirm
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: f616d96bd8ce8986e4cc204953db0467e6060b5c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL
Comment 5 Telesto 2021-04-30 17:59:35 UTC
Not related to Skia
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: f616d96bd8ce8986e4cc204953db0467e6060b5c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 6 Telesto 2021-04-30 17:59:55 UTC
To clear, also reproducible with GDI
Comment 7 xordevoreaux 2021-05-03 01:48:46 UTC
I'm thinking it's the soft edge effect that's doing it.
Comment 8 xordevoreaux 2021-05-03 02:06:05 UTC
(In reply to mwtjunkmail from comment #7)
> I'm thinking it's the soft edge effect that's doing it.

Miscellaneous comment: I absolutely LOVE the soft edge effect.
Comment 9 pavlog 2021-05-09 20:02:19 UTC
Bibisected in win64-7.1
 1fef0a17916d9dd5d8ce3cc7a8557a1349a23333 is the first bad commit
commit 1fef0a17916d9dd5d8ce3cc7a8557a1349a23333
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon Jul 20 03:48:57 2020 -0700

    source 1db7decf3fb172542f5fce03ce7bf0cb310d1ffc

    source 1db7decf3fb172542f5fce03ce7bf0cb310d1ffc

https://git.libreoffice.org/core/+/1db7decf3fb172542f5fce03ce7bf0cb310d1ffc


commit 1db7decf3fb172542f5fce03ce7bf0cb310d1ffc	[log]
author	Luboš Luňák <l.lunak@collabora.com>	Fri Jul 03 16:02:00 2020 +0200
committer	Luboš Luňák <l.lunak@collabora.com>	Mon Jul 20 12:40:17 2020 +0200
tree 62fd07448601881abee1bde837aa2cd55460387f
parent 92146170f1a317e69201f2c801325325182476d2 [diff]


Adding Cc: to Luboš Luňák
Comment 10 xordevoreaux 2021-08-16 14:55:14 UTC
Still a problem in

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 5aac78e5fb241050a86714687e9ff8804588ae3c
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 11 xordevoreaux 2022-01-25 00:09:48 UTC
Still a problem in:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 86a9c860410351125708543c1050bfc0977d3b97
CPU threads: 8; OS: Windows 10.0 Build 19044; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 12 Commit Notification 2022-09-01 10:01:39 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0415aa11f66de0c64f1ed524197bfea70fe3c3ca

fix limiting drawing of softedge effect (tdf#141981)

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2022-09-01 11:13:40 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/89b7f3b1e72aa5bc3cf7c6af499e9e6d00cac831

fix limiting drawing of softedge effect (tdf#141981)

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2022-09-01 11:17:53 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/6a57652cfc2e46a271091246cd867804c39f845c

fix limiting drawing of softedge effect (tdf#141981)

It will be available in 7.3.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 xordevoreaux 2022-09-04 11:51:22 UTC
Tested with:

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: dc92a4d973086ce8a6a5f75ba0f4d4c9ca05537a
CPU threads: 8; OS: Windows 10.0 Build 19044; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL threaded


See video at:
https://i.imgur.com/AtUZIOC.mp4

On the video, notice the appreciable delay in redraw time whenever the circle is dragged onto or out of the square.
Comment 16 Telesto 2022-09-04 14:35:32 UTC
(In reply to xordevoreaux from comment #15)
> On the video, notice the appreciable delay in redraw time whenever the
> circle is dragged onto or out of the square.

Confirm
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: dc92a4d973086ce8a6a5f75ba0f4d4c9ca05537a
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL threaded

Performance while moving the shape is also so, so, but might different topic..
Comment 17 Aron Budea 2022-09-10 07:11:53 UTC
(In reply to xordevoreaux from comment #15)
> See video at:
> https://i.imgur.com/AtUZIOC.mp4
> 
> On the video, notice the appreciable delay in redraw time whenever the
> circle is dragged onto or out of the square.
This isn't related to the original issue, please open a new bug report on the regression, and add it to the See Also field.